# 38. Запрос: получить "UserData"

Получить "UserData" авторизованного пользователя.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    электронная почта
    общаяПлощадь
    максимальнаяПлощадь
    единицаПлощади
    язык
    apiKey
    количествоКлассовПочвенногоНабораДанных
    организации {
      uuid
      название
      фамилия
      имя
      электронная почта
      телефон
      датаСоздания
      updatedDate
      пользователи {
        uuidОрганизации
        userUuid
        электронная почта
        всеФермы
        датаСоздания
        updatedDate
        фермы {
          uuid
          userUuid
          название
          датаСоздания
          updatedDate
          farmOwnership
          электронная почта
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/38.-zapros-poluchit-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
